Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppUsageControls.Update(ctx, operations.C1APIAppV1AppUsageControlsServiceUpdateRequest{
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.UpdateAppUsageControlsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appUsageControls.update({
appId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/usage_controls \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appUsageControls": {
"appId": "<string>",
"notify": true,
"notifyAfterDays": 123,
"revoke": true,
"revokeAfterDays": 123
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/usage_controls"
payload = {
"appUsageControls": {
"appId": "<string>",
"notify": True,
"notifyAfterDays": 123,
"revoke": True,
"revokeAfterDays": 123
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appUsageControls: {
appId: '<string>',
notify: true,
notifyAfterDays: 123,
revoke: true,
revokeAfterDays: 123
},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/usage_controls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"appUsageControls": {
"appId": "<string>",
"notify": true,
"notifyAfterDays": 123,
"revoke": true,
"revokeAfterDays": 123
}
}App Usage Controls
Update
Update usage controls for an app.
POST
/
api
/
v1
/
apps
/
{app_id}
/
usage_controls
Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppUsageControls.Update(ctx, operations.C1APIAppV1AppUsageControlsServiceUpdateRequest{
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.UpdateAppUsageControlsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appUsageControls.update({
appId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The app that this object belongs to.
Body
application/json
Response
200 - application/json
The UpdateAppUsageControlsResponse message contains the updated AppUsageControls object.
The UpdateAppUsageControlsResponse message contains the updated AppUsageControls object.
The AppUsageControls object describes some peripheral configuration for an app.
Show child attributes
Show child attributes
Was this page helpful?
⌘I